// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "NpcUsableActor.h"
#include "GameFramework/Actor.h"
#include "TableActor.generated.h"

UCLASS()
class FAYE_API ATableActor : public ANpcUsableActor
{
	GENERATED_BODY()

public:
	ATableActor();
	virtual void Tick(float DeltaTime) override;

protected:
	virtual void BeginPlay() override;
};
